curl --request GET \
--url https://api.nexrender.com/api/v2/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nexrender.com/api/v2/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nexrender.com/api/v2/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"templateId": "<string>",
"status": "<string>",
"progress": 123,
"stats": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"errorAt": "2023-11-07T05:31:56Z",
"totalAssets": 123,
"renderDuration": 123,
"error": "<string>"
},
"outputUrl": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Get job details
Retrieve complete information about a specific job including status, progress, assets, and statistics
Authorizations
Bearer token authentication using API tokens for team-based access control.
You can generate your own API token at: https://app.nexrender.com/settings/api-tokens
Path Parameters
Unique job identifier
Response
Successfully retrieved job details
Render job with current status, progress, and detailed statistics
Unique job identifier used for tracking and API operations
Reference to the template used for this job (null if template was not used)
Current job status (queued, render:dorender, finished, error, etc.). Manually cancelled jobs are normalized to manually_cancelled in v2 responses even though they are stored internally as error.
Render progress as a percentage (0.0 to 100.0)
Detailed timing and metadata statistics for the job
Show child attributes
Show child attributes
URL to the rendered content
Was this page helpful?

